from drinks.models import (
    Beer,
    BeerProducer,
    BeerStyle,
    Coffee,
    CoffeeRoaster,
    Drink,
    Wine,
    WineGrape,
    WineProducer,
    WineRegion,
)
from rest_framework import serializers


class BeerSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Beer
        fields = "__all__"


class BeerProducerSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = BeerProducer
        fields = "__all__"


class BeerStyleSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = BeerStyle
        fields = "__all__"


class WineSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Wine
        fields = "__all__"


class WineProducerSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = WineProducer
        fields = "__all__"


class WineRegionSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = WineRegion
        fields = "__all__"


class WineGrapeSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = WineGrape
        fields = "__all__"


class CoffeeSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Coffee
        fields = "__all__"


class CoffeeRoasterSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = CoffeeRoaster
        fields = "__all__"


class DrinkSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Drink
        fields = "__all__"
